Preskoči na vsebino

Isaac 0.1

Integracija

ID modela perceptron/isaac-01
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/perceptron/isaac-01?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Ta zahteva: ≈0,001 $ 1 API kredit Zaženi na tej strani

Pridobi ključ API
Perceptron Vid #multimodal#vision

Vidno-jezikovni model, ki na vprašanja o sliki odgovarja z besedilom, okvirji, točkami ali poligoni

Perceptron · Besedilo

Tukaj bo vaš prvi rezultat

Spodaj sestavite zahtevo in jo zaženite s svojim ključem API. Izhodi se kopirajo v našo shrambo, kjer se hranijo za vedno ali 7 dni brezplačno.

Ustvari zahtevo

Kontrolniki se ustvarijo iz sheme modela. Koda in cena se posodobita, ko ju spreminjate.

•obvezno

Poziv, uporabljen za sliko.

•obvezno image_url
Spustite datoteko ali

URL, ki določa sliko za obdelavo.

Napredno response_style
response_style privzeto text

Izberite obliko odziva slike: vsi načini vključujejo besedilo, pri čemer box doda omejevalne okvirje, point točke, polygon pa poligone; samo text vrne le besedilo. Za podrobno segmentacijo uporabite polygon, za lokalizacijo pa box. Za opise in podnapise uporabite text, za štetje številnih predmetov pa point.

POST /run/perceptron/isaac-01?wait=20 cena → 0,001 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/perceptron/isaac-01?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Zaženi to zahtevo

Vaš ključ ostane v tem brskalniku: pošlje se samo v Doitong API in shrani v localStorage samo, če označite možnost Zapomni si. Pridobi ključ API

O modelu Isaac 0.1

Sprejme `image_url` in `prompt` ter vrne odgovor v obliki, nastavljeni z `response_style`. Besedilo je primerno za napise in opise, slogi box, point in polygon pa dodajo lokalizacijski izhod. Rezultat vključuje ustvarjeni izhod, zastavico delnega izhoda, morebitno sporočilo o napaki in podatke o porabi.

Parametri

Pošlji kanonično ali izvorno ime, ne obeh. Kanonična imena

ImeVrsta PrivzetoDovoljeno Opis
image_urlobvezno image
Vrstaurl · image
URL, ki določa sliko za obdelavo.
promptobvezno
Vrstastring
Poziv, uporabljen za sliko.
response_styleneobvezno
Vrstaenum
Privzetotext
textboxpointpolygon
Izberite obliko odziva slike: vsi načini vključujejo besedilo, pri čemer box doda omejevalne okvirje, point točke, polygon pa poligone; samo text vrne le besedilo. Za podrobno segmentacijo uporabite polygon, za lokalizacijo pa box. Za opise in podnapise uporabite text, za štetje številnih predmetov pa point.
obvezno Kanonično ime, prav tako sprejeto

Parametri datotek sprejmejo javni https:// URL, podatkovni URI data: do 10 MB ali file_url naložene datoteke. Datoteke

Izhod

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "perceptron/isaac-01",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1,
    "usd": "0.001",
    "charged": 1,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "output": "To determine which car is trying to park into the garage, we need to carefully observe the positions and movements of the vehicles in the image.\n\n1. **Identify the Vehicles**: \n   - There are three vehicles visible: a green truck, an orange car, and a brown car.\n   - The green truck is positioned in front of the garage entrance.\n   - The orange car is parked to the left of the green truck.\n   - The brown car is parked to the right of the green truck.\n\n2. **Analyze the Positions**:\n   - The green truck is directly in front of the garage entrance, suggesting it is in the process of moving towards the entrance.\n   - The orange car is parked parallel to the garage but is not in the path of the green truck.\n   - The brown car is also parked parallel to the garage but is not in the path of the green truck.\n\n3. **Determine the Action**:\n   - Given the position of the green truck directly in front of the garage entrance, it is most likely that the green truck is trying to park into the garage.\n   - The orange and brown cars are already parked and do not appear to be in motion or attempting to park.\n\nTherefore, the car that is trying to park into the garage is the green truck.",
    "partial": false,
    "error": "string",
    "usage": {
      "completion_tokens": 1,
      "prompt_tokens": 1,
      "total_tokens": 1
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Vaše datoteke, vaša izbiraVsak outputs[].url je kopija v naši shrambi: hrani se za vedno (plačilo na GB-mesec) ali 7 dni brezplačno, glede na nastavitev računa ali ?storage=.
Enaka struktura pri vsakem modelutype, url, content_type, width, height in duration za slike, videoposnetke in zvok. output je lasten objekt rezultata modela.
Polja izhoda
output
stringRezultat, ki ga ustvari model.
partial
booleanOznačuje, ali je izhod nepopoln.
error
string | nullSporočilo z opisom napake, če je do nje prišlo.
usage
object {completion_tokens, prompt_tokens, total_tokens} | nullPodrobnosti uporabe.

Za agente AI: ta stran je v obliki Markdown na voljo na https://doitong.com/sl/developers/models/perceptron/isaac-01.md. Vsi modeli in vodniki: https://doitong.com/developers/llms.txt